Bug 132421 - Dialog title bar contains URL-encoded character from filename
Summary: Dialog title bar contains URL-encoded character from filename
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: lowest trivial
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-25 22:09 UTC by Dan Dascalescu
Modified: 2021-07-08 20:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (24.48 KB, image/png)
2020-04-25 22:09 UTC, Dan Dascalescu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2020-04-25 22:09:45 UTC
Created attachment 159941 [details]
Screenshot

1. Open a CSV file that has spaces in its name
2. Notice the filename in the title of the dialog (see screenshot) will have spaces encoded as "%20".

This may happen with other dialogs and characters.
Comment 1 Xisco Faulí 2020-05-11 10:16:41 UTC
Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-05-11 10:18:29 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Commit Notification 2021-06-30 10:05:58 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e8c9047f4bf6194bd1423422bd2dc9f92c50725

tdf#132421 - don't URL encode filename for the import ASCII dialog title

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Andreas Heinisch 2021-06-30 10:12:43 UTC
If you find additional dialogs, just open a new bug and point me to it. Thx!
Comment 5 Commit Notification 2021-06-30 18:59:44 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/8b496beb74255d619a8de72a07860d1a77c4f79a

tdf#132421 - don't URL encode filename for the import ASCII dialog title

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2021-07-08 20:29:02 UTC
Verified. It's ok now in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: eac5977bfc11797eda356560a5e45c51108ef5a1
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded